Ошибка PHP-api-test-tool API: ошибка sslv3

Я пытаюсь выполнить инструмент API, доступный здесь:

https://github.com/Brightspace/util-api-test-tool

Тем не менее, я получаю эту ошибку, и я не могу ее решить:

Ошибка при обращении к серверу: ошибка: 14077410: Подпрограммы SSL: SSL23_GET_SERVER_HELLO: сбой подключения к sslv3.

Я уже обновил curl, где у меня есть:

curl 7.62.0 (x86_64-pc-win32) libcurl / 7.62.0 OpenSSL / 1.1.1 (WinSSL) zlib / 1.2.11 brotli / 1.0.7 WinIDN libssh2 / 1.8.0 nghttp2 / 1.34.0

Мои конфигурации - XAMPP 1.7.2 и PHP 5.3. Я использую Windows и netbeans.

У меня есть исследования этой ошибки, и это кажется очень распространенным явлением, но я не могу найти решение для PHP. Любая помощь - это хорошая помощь.

Всего 1 ответ


sslv3 (который использовался вашим * древним * xampp + сервером apache) был отключен по умолчанию в curl версии 7.39.0, что означает, что вы должны добавить аргумент --sslv3 для подключения к sslv3-серверам с 7.39.0. и как указано в вашем сообщении, вы используете 7.62.0, поэтому добавьте аргумент --sslv3 .

... Кроме того, вы должны рассмотреть возможность обновления вашей установки apache.